ON_Cylinder Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_cylinder.h>`

## Public Member Functions

| ON_Cylinder ()
| ON_Cylinder (const ON_Circle &)
| ON_Cylinder (const ON_Circle &, double)
| ~ON_Cylinder ()
bool | Create (const ON_Circle &)
bool | Create (const ON_Circle &, double)
bool | IsValid () const
bool | IsFinite () const
const ON_3dVector & | Axis () const
const ON_3dPoint & | Center () const
double | Height () const
ON_Circle | CircleAt (double) const
ON_Line | LineAt (double) const
ON_3dPoint | PointAt (double, double) const
ON_3dPoint | NormalAt (double, double) const
bool | ClosestPointTo (ON_3dPoint, double *, double *) const
ON_3dPoint | ClosestPointTo (ON_3dPoint) const
bool | Rotate (double, double, const ON_3dVector &)
bool | Rotate (double, const ON_3dVector &)
bool | Rotate (double, double, const ON_3dVector &, const ON_3dPoint &)
bool | Rotate (double, const ON_3dVector &, const ON_3dPoint &)
bool | Translate (const ON_3dVector &)
int | GetNurbForm (ON_NurbsSurface &) const
ON_RevSurface * | RevSurfaceForm (ON_RevSurface *srf=NULL) const

## Public Attributes

ON_Circle | circle
double | height [2]

## Detailed Description

Definition at line 28 of file opennurbs_cylinder.h.

## Constructor & Destructor Documentation

## ON_Cylinder() [1/3]

ON_Cylinder::ON_Cylinder | ( |  | ) |

## ON_Cylinder() [2/3]

ON_Cylinder::ON_Cylinder | ( | const ON_Circle & |  | ) |

## ON_Cylinder() [3/3]

ON_Cylinder::ON_Cylinder | ( | const ON_Circle & | ,
|  | double |
| ) |  |

## ~ON_Cylinder()

ON_Cylinder::~ON_Cylinder | ( |  | ) |

## Member Function Documentation

## Axis()

const ON_3dVector& ON_Cylinder::Axis | ( |  | ) | const

## Center()

const ON_3dPoint& ON_Cylinder::Center | ( |  | ) | const

## CircleAt()

ON_Circle ON_Cylinder::CircleAt | ( | double |  | ) | const

## ClosestPointTo() [1/2]

bool ON_Cylinder::ClosestPointTo | ( | ON_3dPoint | ,
|  | double * | ,
|  | double * |
| ) |  | const

## ClosestPointTo() [2/2]

ON_3dPoint ON_Cylinder::ClosestPointTo | ( | ON_3dPoint |  | ) | const

## Create() [1/2]

bool ON_Cylinder::Create | ( | const ON_Circle & |  | ) |

## Create() [2/2]

bool ON_Cylinder::Create | ( | const ON_Circle & | ,
|  | double |
| ) |  |

## GetNurbForm()

int ON_Cylinder::GetNurbForm | ( | ON_NurbsSurface & |  | ) | const

## Height()

double ON_Cylinder::Height | ( |  | ) | const

## IsFinite()

bool ON_Cylinder::IsFinite | ( |  | ) | const

## IsValid()

bool ON_Cylinder::IsValid | ( |  | ) | const

## LineAt()

ON_Line ON_Cylinder::LineAt | ( | double |  | ) | const

## NormalAt()

ON_3dPoint ON_Cylinder::NormalAt | ( | double | ,
|  | double |
| ) |  | const

## PointAt()

ON_3dPoint ON_Cylinder::PointAt | ( | double | ,
|  | double |
| ) |  | const

## RevSurfaceForm()

ON_RevSurface* ON_Cylinder::RevSurfaceForm | ( | ON_RevSurface * | srf = `NULL` | ) | const

## Rotate() [1/4]

bool ON_Cylinder::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3dVector & |
| ) |  |

## Rotate() [2/4]

bool ON_Cylinder::Rotate | ( | double | ,
|  | const ON_3dVector & |
| ) |  |

## Rotate() [3/4]

bool ON_Cylinder::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3dVector & | ,
|  | const ON_3dPoint & |
| ) |  |

## Rotate() [4/4]

bool ON_Cylinder::Rotate | ( | double | ,
|  | const ON_3dVector & | ,
|  | const ON_3dPoint & |
| ) |  |

## Translate()

bool ON_Cylinder::Translate | ( | const ON_3dVector & |  | ) |

## Member Data Documentation

## circle

ON_Circle ON_Cylinder::circle

Definition at line 137 of file opennurbs_cylinder.h.

## height

double ON_Cylinder::height[2]

Definition at line 149 of file opennurbs_cylinder.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_cylinder.h